com.atid.lib.module.barcode.ssi.type

## Enum LinearSecurityLevel

- java.lang.Object
- - java.lang.Enum<LinearSecurityLevel>
  - - com.atid.lib.module.barcode.ssi.type.LinearSecurityLevel

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<LinearSecurityLevel>

      public enum LinearSecurityLevel
      extends java.lang.Enum<LinearSecurityLevel>
      implements IEnumType

  The 1D Barcode Scanner offers four levels of decode security for linear code types (e.g. Code 39, Interleaved 2 of 5). Select higher security levels for decreasing levels of bar code quality. As security levels increase, the scan engine’s aggressiveness decreases. Select the security level appropriate for your bar code quality.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Level1` Level 1 The following code types must be successfully read twice before being decoded: |  | Code Type | Code Length | Codabar | All | MSI | 4 or less | D 2 of 5 | 8 or less | I 2 of 5 | 8 or less

`Level2`
Level 2
The following code types must be successfully read twice before being decoded:
Code Type Code Length Codabar All MSI 4 or less D 2 of 5 8 or less I 2 of 5 8 or less
`Level3`
Level 3
Code types other than the following must be successfully read twice before being decoded.
`Level4`
Level 4
The following code types must be successfully read twice before being decoded:
Code Type Code Length Codabar All MSI 4 or less D 2 of 5 8 or less I 2 of 5 8 or less

- ### Method Summary

  All Methods Static Methods Instance Methods Concrete Methods
  Modifier and Type | Method and Description
  --- | ---
  `int` | `getCode()`
  `java.lang.String` | `toString()`
  `static LinearSecurityLevel` | `valueOf(int code)`
  `static LinearSecurityLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
  `static LinearSecurityLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

  - ### Methods inherited from class java.lang.Enum

    `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  - ### Methods inherited from class java.lang.Object

    `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Level1

          public static final LinearSecurityLevel Level1

      Level 1
      The following code types must be successfully read twice before being decoded:

      | Code Type | Code Length
      | Codabar | All
      | MSI | 4 or less
      | D 2 of 5 | 8 or less
      | I 2 of 5 | 8 or less

    - #### Level2

          public static final LinearSecurityLevel Level2

      Level 2
      The following code types must be successfully read twice before being decoded:

      | Code Type | Code Length
      | Codabar | All
      | MSI | 4 or less
      | D 2 of 5 | 8 or less
      | I 2 of 5 | 8 or less

    - #### Level3

          public static final LinearSecurityLevel Level3

      Level 3
      Code types other than the following must be successfully read twice before being decoded.
      The following codes must be read three times :

      | Code Type | Code Length
      | MSI | 4 or less
      | D 2 of 5 | 8 or less
      | I 2 of 5 | 8 or less

    - #### Level4

          public static final LinearSecurityLevel Level4

      Level 4
      The following code types must be successfully read twice before being decoded:

      | Code Type | Code Length
      | Codabar | All
      | MSI | 4 or less
      | D 2 of 5 | 8 or less
      | I 2 of 5 | 8 or less

  - ### Method Detail

    - #### values

          public static LinearSecurityLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LinearSecurityLevel c : LinearSecurityLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LinearSecurityLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<LinearSecurityLevel>`

    - #### valueOf

          public static LinearSecurityLevel valueOf(int code)